Bug 1628561 - hammer job-invocation output returns ISE on providing invalid invocation id
Summary: hammer job-invocation output returns ISE on providing invalid invocation id
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Adam Ruzicka
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-13 12:39 UTC by Roman Plevka
Modified: 2019-10-07 17:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:05 UTC
Foreman Issue Tracker 24930 None None None 2018-09-13 12:40:44 UTC

Description Roman Plevka 2018-09-13 12:39:42 UTC
Description of problem:
when passing wrong-non-existing job-invocation id to the `output` subcommand (together with a valid host parameter), the server returns ISE (err 500) - NoMethodError: undefined method `task' for nil:NilClass

instead of a proper 404 response code

Version-Release number of selected component (if applicable):
6.4.0-21

How reproducible:
always

Steps to Reproduce:
1. have some valid host (Say: foo)
2. hammer job-invocation output --id <invalid-id> --host foo

Actual results:
internal server error returned

Expected results:
404 status codereturned from server

Additional info:

Comment 1 Adam Ruzicka 2018-09-13 12:40:42 UTC
Created redmine issue http://projects.theforeman.org/issues/24930 from this bug

Comment 4 pm-sat@redhat.com 2018-09-13 14:05:36 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 5 pm-sat@redhat.com 2018-09-13 14:05:39 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 6 pm-sat@redhat.com 2018-09-13 16:05:31 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24930 has been resolved.

Comment 7 Peter Ondrejka 2018-11-07 14:50:00 UTC
Verfified on Sat 6.5 snap 2

hammer job-invocation output --id 5555 --host tami-burrel
Job invocation not found by id '5555'

Comment 11 errata-xmlrpc 2019-05-14 12:37:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.